Subject: bug#25708: 25.1.91; Allow users to inhibit printing for 'emacsclient -c -t'

From: [email-masked] (Peder O. Klingenberg)
Date: Mon, 20 Feb 2017 19:28:28 +0100

Eli Zaretskii <[email-masked]> writes:

> Each comment should end with a period and 2 spaces.  Like this:

Sorry.  I'll fix it.

> Do we really need the "non-error" part here?  Errors don't manifest
> themselves via return values, I think.

I'm not intimately familiar with the protocol between emacs and
emacsclient, but emacsclient handles a number of different return
messages from emacs.  Two of which (-print and -print-nonl) I made -u
apply to.

Another possible return message seems to be -error, which also results
in stuff being printed by emacsclient (in this case to stderr).  -u does
not suppress that kind of printing.  I thought it worth specifying, but
if that path is in practice never used, I can take that wording out.
What do people think?

--
...Peder...